%define major 3
%define libname %mklibname netfilter_conntrack %{major}
%define develname %mklibname netfilter_conntrack -d

Summary:	Interface to the in-kernel connection tracking state table
Name:		libnetfilter_conntrack
Version:	1.0.6
Release:	%mkrel 1
License:	GPLv2+
Group:		System/Kernel and hardware
Url:		http://www.netfilter.org/projects/%{name}/
Source0:	http://www.netfilter.org/projects/%{name}/files/%{name}-%{version}.tar.bz2
BuildRequires: pkgconfig(libmnl) >= 1.0.3
BuildRequires: pkgconfig(libnfnetlink) >= 1.0.0

%description
A libnetfilter_conntrack is a userspace library providing a programming \
interface (API) to the in-kernel connection tracking state table.

%package -n %{libname}
Summary:	Main library for %{name}
Group:		System/Libraries
Provides:	%{name} = %{version}-%{release}
Obsoletes:	%{mklibname netfilter_conntrack 1} < 0.0.101

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with %{name}.

%package -n %{develname}
Summary:	Development files for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Provides:	netfilter_conntrack-devel = %{version}-%{release}
Obsoletes:	%{mklibname -d netfilter_conntrack 1}

%description -n %{develname}
This package contains the development files for %{name}.

%prep
%setup -q

%build
%configure2_5x
%make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%files -n %{libname}
%{_libdir}/*.so.%{major}{,.*}

%files -n %{develname}
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/%{name}*.h
%{_includedir}/%{name}/linux_nfnetlink_conntrack.h
%{_libdir}/%{name}.so
%{_libdir}/pkgconfig/%{name}.pc


%changelog
* Sat Sep 10 2016 luigiwalser <luigiwalser> 1.0.6-1.mga6
+ Revision: 1051191
- 1.0.6

* Thu Feb 11 2016 umeabot <umeabot> 1.0.5-2.mga6
+ Revision: 955604
- Mageia 6 Mass Rebuild

* Fri Oct 02 2015 tmb <tmb> 1.0.5-1.mga6
+ Revision: 885675
- update to 1.0.5

* Wed Oct 15 2014 umeabot <umeabot> 1.0.4-5.mga5
+ Revision: 749929
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 1.0.4-4.mga5
+ Revision: 726809
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 1.0.4-3.mga5
+ Revision: 681637
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.0.4-2.mga4
+ Revision: 532909
- Mageia 4 Mass Rebuild

* Fri Aug 23 2013 oden <oden> 1.0.4-1.mga4
+ Revision: 470299
- 1.0.4

* Sun May 26 2013 blino <blino> 1.0.3-1.mga4
+ Revision: 427726
- 1.0.3

* Sat Jan 12 2013 umeabot <umeabot> 1.0.2-2.mga3
+ Revision: 357833
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Oct 09 2012 fwang <fwang> 1.0.2-1.mga3
+ Revision: 303752
- update br
- new version 1.0.2

* Mon May 21 2012 blino <blino> 1.0.1-1.mga3
+ Revision: 235989
- 1.0.1
- use mkrel
- imported package libnetfilter_conntrack

